@echo off
setlocal
rem
rem Starting PutQuit
rem
rem Required Parameters:
rem -m QueueManagerName
rem -h host
rem -p port
rem -c channel
rem -q RequestQueueName
rem -u userId
rem -x password
rem
rem Set defaul values
rem
set MY_JVM_PARMS=-Dcom.ibm.mq.cfg.useIBMCipherMappings=false -Dcom.ibm.jsse2.disableSSLv3=false
rem
rem Is the MQ SSL/TLS parameter set?
rem
if "%MQSSLKEYR%".=="". goto mqjars
set MY_JVM_PARMS=%MY_JVM_PARMS% -Djavax.net.ssl.trustStore="%MQSSLKEYR%.jks"
rem
:mqjars
rem
rem Setup path for MQ JAR files.
rem
SET MQLIB=C:\Program Files\IBM\WebSphere MQ\Java\lib
if "%MQ_JAVA_LIB_PATH%".=="". goto setcp
SET MQLIB=%MQ_JAVA_LIB_PATH%
rem
:setcp
rem
SET CLASSPATH=.
SET CLASSPATH=%CLASSPATH%;libs\sqlite-jdbc-3.20.0.jar
rem
rem For IBM v8.0 & v9.0
rem
SET CLASSPATH=%CLASSPATH%;%MQLIB%\com.ibm.mq.allclient.jar
rem
rem For IBM v7.0, 7.1 & v7.5
rem uncomment for MQ v7.* environment
rem
rem SET CLASSPATH=%CLASSPATH%;%MQLIB%\com.ibm.mq.jar
rem SET CLASSPATH=%CLASSPATH%;%MQLIB%\connector.jar
rem SET CLASSPATH=%CLASSPATH%;%MQLIB%\com.ibm.mq.jmqi.jar
rem SET CLASSPATH=%CLASSPATH%;%MQLIB%\com.ibm.mq.headers.jar
rem SET CLASSPATH=%CLASSPATH%;%MQLIB%\com.ibm.mq.commonservices.jar
rem SET CLASSPATH=%CLASSPATH%;%MQLIB%\com.ibm.mq.pcf.jar

rem
rem  This batch file will accept input parameters that need to be passed to the Java program.
rem

java %MY_JVM_PARMS% PutQuit %*

endlocal
